> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shoppex.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List webhook logs

> Developer API operation for GET /dev/v1/webhooks/logs.



## OpenAPI

````yaml /openapi.json get /dev/v1/webhooks/logs
openapi: 3.0.3
info:
  title: Shoppex Developer API
  description: Mintlify-compatible Developer API reference for Shoppex.
  version: 1.0.0
  contact:
    name: Shoppex Support
    email: support@shoppex.io
    url: https://shoppex.io
servers:
  - url: https://api.shoppex.io
security:
  - bearerAuth: []
paths:
  /dev/v1/webhooks/logs:
    get:
      tags:
        - Webhook Endpoints
      summary: List webhook logs
      description: Developer API operation for GET /dev/v1/webhooks/logs.
      operationId: getDevV1WebhooksLogs
      parameters:
        - name: status
          in: query
          required: false
          schema:
            type: string
        - name: event_type
          in: query
          required: false
          schema:
            type: string
        - name: webhook_uniqid
          in: query
          required: false
          schema:
            type: string
        - name: page
          in: query
          required: false
          schema:
            type: string
        - name: limit
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      additionalProperties: true
                  pagination:
                    type: object
                    properties:
                      next_cursor:
                        type: string
                        nullable: true
                      has_more:
                        type: boolean
                example:
                  data:
                    - id: 22222222-2222-4222-8222-222222222222
                      uniqid: 22222222-2222-4222-8222-222222222222
                      webhook_uniqid: 11111111-1111-4111-8111-111111111111
                      event_type: payment:completed
                      url: https://example.com/webhook
                      payload:
                        hello: world
                      request_headers: null
                      response: null
                      response_headers: null
                      status: success
                      status_code: 200
                      attempt: 1
                      duration_ms: 120
                      error_message: null
                      created_at: 1700000100
                      delivered_at: 1700000101
                  pagination:
                    total: 3
                    page: 2
                    limit: 10
                    total_pages: 3
                    has_more: true
      deprecated: false
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Use your Shoppex API key in the Authorization header.

````